spliti
Strings
POSIX Regex Functions
PHP Manual

# sql_regcase

(PHP 4, PHP 5)

sql_regcase — Make regular expression for case insensitive match

### Description

string sql_regcase ( string `$string` )

Creates a regular expression for a case insensitive match.

Warning

This function has been DEPRECATED as of PHP 5.3.0 and REMOVED as of PHP 6.0.0. Relying on this feature is highly discouraged.

### Parameters

`string`

  The input string.

### Return Values

Returns a valid regular expression which will match `string` , ignoring case. This expression is `string` with each alphabetic character converted to a bracket expression; this bracket expression contains that character's uppercase and lowercase form. Other characters remain unchanged.

### Examples

Example #1 sql_regcase() example

`<?php
echo sql_regcase("Foo - bar.");
?>`

The above example will output:

    [Ff][Oo][Oo] - [Bb][Aa][Rr].

This can be used to achieve case insensitive pattern matching in products which support only case sensitive regular expressions.

### Notes

> Note: As of PHP 5.3.0 the regex extension is deprecated, calling this function will issue an `E_DEPRECATED` notice.

spliti
Strings
POSIX Regex Functions
PHP Manual